Search Results for

Show / Hide Table of Contents

# Class SerializableOptionalPropertyDrawer

Custom PropertyDrawer for SerializableOptional<T>.

##### Inheritance

object
GUIDrawer
PropertyDrawer
SerializableOptionalPropertyDrawer

##### Inherited Members

PropertyDrawer.CreatePropertyGUI(SerializedProperty)
PropertyDrawer.GetPropertyHeight(SerializedProperty, GUIContent)
PropertyDrawer.CanCacheInspectorGUI(SerializedProperty)
PropertyDrawer.attribute
PropertyDrawer.fieldInfo
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Editor

###### Assembly: Appstock.Core.Native.Data.Editor.dll

##### Syntax

    [CustomPropertyDrawer(typeof(SerializableOptional<>), true)]
    public class SerializableOptionalPropertyDrawer : PropertyDrawer

### Methods

#### OnGUI(Rect, SerializedProperty, GUIContent)

Uses IMGUI to draw GUI for the property.

##### Declaration

    public override void OnGUI(Rect position, SerializedProperty property, GUIContent label)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | position | Rectangle on the screen to use for the property GUI.
SerializedProperty | property | The SerializedProperty to make the custom GUI for.
GUIContent | label | The label of this property.

##### Overrides

PropertyDrawer.OnGUI(Rect, SerializedProperty, GUIContent)